# VersionCatalogPlugin

abstract class VersionCatalogPlugin : Plugin<T>

A Plugin makes it possible to generate a version catalog, which is a set of versions and coordinates for dependencies and plugins to import in the settings of a Gradle build.

#### Since

7.0

## Constructors

VersionCatalogPlugin
Link copied to clipboard
@Inject
constructor(softwareComponentFactory: SoftwareComponentFactory)

## Properties

GENERATE_CATALOG_FILE_TASKNAME
Link copied to clipboard
val GENERATE_CATALOG_FILE_TASKNAME: String = "generateCatalogAsToml"
GRADLE_PLATFORM_DEPENDENCIES
Link copied to clipboard
val GRADLE_PLATFORM_DEPENDENCIES: String = "versionCatalog"
VERSION_CATALOG_ELEMENTS
Link copied to clipboard
val VERSION_CATALOG_ELEMENTS: String = "versionCatalogElements"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)